Package csb :: Package bio :: Package io :: Module fasta :: Class SequenceAlignmentReader

[frames] | no frames]

# Class SequenceAlignmentReader

source code

    object --+
             |
            SequenceAlignmentReader

Sequence alignment parser.

Instance Methods

__init__(self, product_type=Protein, strict=True) x.__init__(...) initializes x; see help(type(x)) for signature | source code

A3MAlignment

read_a3m(self, string) Parse an alignment in A3M format. | source code

SequenceAlignment

read_fasta(self, string) Parse an alignment in multi-FASTA format. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
enum item | product_type Default sequence type of the alignment entries - a member of SequenceTypes
bool | strict True if strict mode is enabled
Inherited from `object`: `__class__`

Method Details

### __init__(self, product_type=Protein, strict=True)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `product_type` (EnumItem) - default SequenceTypes member for the sequence products
  - `strict` (bool) - if True, raise exception on duplicate sequence identifiers. See csb.bio.sequence.AbstractAlignment for details
Overrides: object.__init__
  (inherited documentation)

### read_a3m(self, string)

source code

Parse an alignment in A3M format.

Parameters:
  - `string` (str) - alignment string
Returns: A3MAlignment

### read_fasta(self, string)

source code

Parse an alignment in multi-FASTA format.

Parameters:
  - `string` (str) - alignment string
Returns: SequenceAlignment

Property Details

### product_type

Default sequence type of the alignment entries - a member of SequenceTypes

Get Method:
  unreachable.product_type(self) - Default sequence type of the alignment entries - a member of SequenceTypes
Type:
  enum item

### strict

True if strict mode is enabled

Get Method:
  unreachable.strict(self) - True if strict mode is enabled
Type:
  bool